SDL_GetAudioStreamFrequencyRatio(3)

NAME
SDL_GetAudioStreamFrequencyRatio - Get the frequency ratio of an audio stream.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

float SDL_GetAudioStreamFrequencyRatio(SDL_AudioStream *stream);

FUNCTION PARAMETERS

stream
    the SDL_AudioStream
     to query.

RETURN VALUE
Returns the frequency ratio of the stream, or 0.0 on error

THREAD SAFETY
It is safe to call this function from any thread, as it holds a stream-specific mutex while running.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetAudioStreamFrequencyRatio(3)